## kwin 6.4.5+p24.04+vstable+git20251002.0403

=== debian/changelog ===
kwin (4:6.4.5+p24.04+vstable+git20251002.0403-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 02 Oct 2025 04:03:54 +0000

kwin (4:6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 03:57:41 +0000

kwin (4:6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:14:36 +0000

kwin (4:6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:02:51 +0000

kwin (4:6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:29:03 +0000

kwin (4:6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:44:29 +0000

kwin (4:6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:18:20 +0000

kwin (4:6.3.80-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 18 May 2025 10:09:40 +1000

kwin (4:6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 20:52:40 +0000

kwin (4:6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:03:10 +0000

kwin (4:6.3.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:02:02 +0000

kwin (4:6.3.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:06:09 +0000

kwin (4:6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:49:34 +0000

kwin (4:6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:25:50 +0000

kwin (4:6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 02:55:47 +0000

kwin (4:6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:29:07 +0000

kwin (4:6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:06:30 +0000

kwin (4:6.2.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 16 Oct 2024 19:27:13 +0000

kwin (4:6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:59:49 +0000

kwin (4:6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:05:48 +0000

kwin (4:6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 12:35:27 +0000

kwin (4:6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:09:49 +0000

kwin (4:6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:27:37 +0000

kwin (4:6.1.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:04:04 +0000

kwin (4:6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:36:58 +0000

kwin (4:6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 31 May 2024 13:41:11 +0000

kwin (4:6.0.4.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 12:55:55 +0000

kwin (4:6.0.3.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:15:07 +0000

kwin (4:6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:43:37 +0000

kwin (4:6.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Mar 2024 00:03:24 +0000

kwin (4:6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:19:56 +0000

kwin (4:5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:13:16 +1000

kwin (4:5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:49:03 +0000

kwin (4:5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 14:58:00 +0000

kwin (4:5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:18:27 +0000

kwin (4:5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:18:27 +0000

kwin (4:5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:08:49 +0000

kwin (4:5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:35:11 +0000

kwin (4:5.27.4.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Apr 2023 11:29:45 +0000

kwin (4:5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:28:52 +0000

kwin (4:5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:11:30 +0000

kwin (4:5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 14:02:25 +0000

kwin (4:5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:31:29 +0000

kwin (4:5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Jan 2023 10:24:35 +0000

kwin (4:5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:42:49 +0000

kwin (4:5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:41:16 +0000

kwin (4:5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:20:20 +0000

kwin (4:5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 09:56:40 +0000

kwin (4:5.25.5-0neon) focal; urgency=medium



## kwin 6.4.5+p24.04+vstable+git20251004.0605

=== debian/changelog ===
kwin (4:6.4.5+p24.04+vstable+git20251004.0605-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 06:05:25 +0000

## kwin 6.4.5+p24.04+vstable+git20251021.0238

=== debian/changelog ===
kwin (4:6.4.5+p24.04+vstable+git20251021.0238-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 02:38:27 +0000

## kwin 6.4.5+p24.04+vunstable+git20251020.1202

=== debian/changelog ===
kwin (4:6.4.5+p24.04+vunstable+git20251020.1202-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 12:02:23 +0000

## kwin 6.4.91

=== tests/CMakeLists.txt ===
if (Qt6_VERSION VERSION_GREATER_EQUAL "6.9.0")
    add_subdirectory(pip)
endif()

if(KWIN_BUILD_X11)
    set(normalhintsbasesizetest_SRCS normalhintsbasesizetest.cpp)
    add_executable(normalhintsbasesizetest ${normalhintsbasesizetest_SRCS})
    target_link_libraries(normalhintsbasesizetest XCB::XCB XCB::ICCCM KF6::WindowSystem)

    add_executable(x11shadowreader x11shadowreader.cpp)
    target_link_libraries(x11shadowreader XCB::XCB Qt::GuiPrivate Qt::Widgets KF6::ConfigCore KF6::WindowSystem)

    add_executable(pointerconstraints pointerconstraintstest.cpp)
    add_definitions(-DDIR="${CMAKE_CURRENT_SOURCE_DIR}")
    target_link_libraries(pointerconstraints XCB::XCB Qt::Gui Qt::Quick Plasma::KWaylandClient)
endif()

add_executable(pointergestures pointergesturestest.cpp)
add_definitions(-DDIR="${CMAKE_CURRENT_SOURCE_DIR}")
target_link_libraries(pointergestures Qt::Gui Qt::Quick Plasma::KWaylandClient)

add_executable(cursorhotspottest cursorhotspottest.cpp)
target_link_libraries(cursorhotspottest Qt::Widgets)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_executable(xdgactivationtest-qt6 xdgactivationtest-qt6.cpp)
target_link_libraries(xdgactivationtest-qt6 Qt6::Widgets)

set(testServer_SRCS
    waylandservertest.cpp
    fakeoutput.cpp
    )
add_executable(testServer ${testServer_SRCS})
target_link_libraries(testServer kwin Qt::CorePrivate)

find_package(Qt6Widgets ${QT_MIN_VERSION} CONFIG QUIET)
if (TARGET Qt::Widgets)
    set(testRenderingServer_SRCS
        renderingservertest.cpp
        fakeoutput.cpp
        )
    add_executable(testRenderingServer ${testRenderingServer_SRCS})
    target_link_libraries(testRenderingServer kwin Qt::Core Qt::Widgets)
endif()

add_executable(copyClient copyclient.cpp)
target_link_libraries(copyClient Plasma::KWaylandClient)

add_executable(pasteClient pasteclient.cpp)
target_link_libraries(pasteClient Qt::Core Plasma::KWaylandClient)

add_executable(touchClientTest touchclienttest.cpp)
target_link_libraries(touchClientTest Plasma::KWaylandClient)

add_executable(panelTest paneltest.cpp)
target_link_libraries(panelTest Plasma::KWaylandClient)

add_executable(subsurface-test subsurfacetest.cpp)
target_link_libraries(subsurface-test Qt::Core Qt::Gui Plasma::KWaylandClient)

add_executable(shadowTest shadowtest.cpp)
target_link_libraries(shadowTest Plasma::KWaylandClient)

if (TARGET Qt::Widgets)
    add_executable(dpmsTest dpmstest.cpp)
    target_link_libraries(dpmsTest Plasma::KWaylandClient Qt::Widgets)
endif()

add_executable(plasmasurface-test plasmasurfacetest.cpp)
target_link_libraries(plasmasurface-test Qt::Gui Plasma::KWaylandClient)

add_executable(xdgforeign-test xdgforeigntest.cpp)
target_link_libraries(xdgforeign-test Qt::Gui Plasma::KWaylandClient)

add_executable(xdg-test xdgtest.cpp)
target_link_libraries(xdg-test Qt::Gui Plasma::KWaylandClient)

if (Qt6_VERSION VERSION_GREATER_EQUAL "6.8.0")
    set(private_code_option  "PRIVATE_CODE")
endif()
add_executable(xdgsessiontest xdgsessiontest.cpp)
qt6_generate_wayland_protocol_client_sources(xdgsessiontest
    ${private_code_option}
    NO_INCLUDE_CORE_ONLY
    FILES
     ${PROJECT_SOURCE_DIR}/src/wayland/protocols/xx-session-management-v1.xml
     ${WaylandProtocols_DATADIR}/stable/xdg-shell/xdg-shell.xml
)
target_link_libraries(xdgsessiontest
    Qt::Core
    Qt::Widgets
    Qt::GuiPrivate
    Qt::WaylandClient
)

add_executable(lockscreenoverlaytest lockscreenoverlaytest.cpp)
target_link_libraries(lockscreenoverlaytest Qt::Widgets Qt::WaylandClient Qt::WaylandClientPrivate Wayland::Client KF6::WindowSystem)
qt6_generate_wayland_protocol_client_sources(lockscreenoverlaytest
    ${private_code_option}
    FILES
        ${PLASMA_WAYLAND_PROTOCOLS_DIR}/kde-lockscreen-overlay-v1.xml
)

=== autotests/integration/CMakeLists.txt ===
add_subdirectory(helper)

add_library(KWinIntegrationTestFramework STATIC)

if (Qt6_VERSION VERSION_GREATER_EQUAL "6.8.0")
    set(private_code_option  "PRIVATE_CODE")
endif()
qt6_generate_wayland_protocol_client_sources(KWinIntegrationTestFramework
    ${private_code_option}
    NO_INCLUDE_CORE_ONLY
    FILES
        ${WaylandProtocols_DATADIR}/unstable/input-method/input-method-unstable-v1.xml
)
qt6_generate_wayland_protocol_client_sources(KWinIntegrationTestFramework
    ${private_code_option}
    FILES
        ${CMAKE_SOURCE_DIR}/src/wayland/protocols/wlr-layer-shell-unstable-v1.xml
        ${CMAKE_SOURCE_DIR}/src/wayland/protocols/xx-session-management-v1.xml
        ${WaylandProtocols_DATADIR}/stable/presentation-time/presentation-time.xml
        ${WaylandProtocols_DATADIR}/stable/tablet/tablet-v2.xml
        ${WaylandProtocols_DATADIR}/stable/xdg-shell/xdg-shell.xml
        ${WaylandProtocols_DATADIR}/staging/color-management/color-management-v1.xml
        ${WaylandProtocols_DATADIR}/staging/cursor-shape/cursor-shape-v1.xml
        ${WaylandProtocols_DATADIR}/staging/fifo/fifo-v1.xml
        ${WaylandProtocols_DATADIR}/staging/fractional-scale/fractional-scale-v1.xml
        ${WaylandProtocols_DATADIR}/staging/security-context/security-context-v1.xml
        ${WaylandProtocols_DATADIR}/staging/xdg-activation/xdg-activation-v1.xml
        ${WaylandProtocols_DATADIR}/staging/xdg-dialog/xdg-dialog-v1.xml
        ${WaylandProtocols_DATADIR}/unstable/idle-inhibit/idle-inhibit-unstable-v1.xml
        ${WaylandProtocols_DATADIR}/unstable/primary-selection/primary-selection-unstable-v1.xml
        ${WaylandProtocols_DATADIR}/unstable/text-input/text-input-unstable-v3.xml
        ${WaylandProtocols_DATADIR}/unstable/xdg-decoration/xdg-decoration-unstable-v1.xml

        ${PLASMA_WAYLAND_PROTOCOLS_DIR}/fake-input.xml
        ${PLASMA_WAYLAND_PROTOCOLS_DIR}/kde-output-device-v2.xml
        ${PLASMA_WAYLAND_PROTOCOLS_DIR}/kde-output-management-v2.xml
        ${PLASMA_WAYLAND_PROTOCOLS_DIR}/kde-screen-edge-v1.xml
        ${PLASMA_WAYLAND_PROTOCOLS_DIR}/keystate.xml
        ${PLASMA_WAYLAND_PROTOCOLS_DIR}/zkde-screencast-unstable-v1.xml
)
target_sources(KWinIntegrationTestFramework PRIVATE
    generic_scene_opengl_test.cpp
    kwin_wayland_test.cpp
    test_helpers.cpp
)
target_link_libraries(KWinIntegrationTestFramework
    PUBLIC
        Qt::Test
        Qt::Concurrent
        Plasma::KWaylandClient
        Wayland::Client
        Libdrm::Libdrm
        kwin
        XKB::XKB

    PRIVATE
        # Static plugins
        KWinQpaPlugin
        KF6WindowSystemKWinPlugin
        KF6IdleTimeKWinPlugin
)
if(KWIN_BUILD_X11)
    target_link_libraries(KWinIntegrationTestFramework PRIVATE KWinXwaylandServerModule)
endif()
if(TARGET KF6GlobalAccelKWinPlugin)
    target_link_libraries(KWinIntegrationTestFramework PUBLIC KF6GlobalAccelKWinPlugin)
endif()

if(TARGET PW::KScreenLocker)
    target_link_libraries(KWinIntegrationTestFramework PUBLIC PW::KScreenLocker)
endif()

function(integrationTest)
    set(optionArgs BUILTIN_EFFECTS)
    set(oneValueArgs NAME)
    set(multiValueArgs SRCS LIBS)
    cmake_parse_arguments(ARGS "${optionArgs}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN})
    if (NOT KWIN_BUILD_X11 AND ARGS_LIBS MATCHES XCB::)
        return()
    endif()
    add_executable(${ARGS_NAME} ${ARGS_SRCS})
    target_link_libraries(${ARGS_NAME} KWinIntegrationTestFramework Qt::Test ${ARGS_LIBS})
    if(${ARGS_BUILTIN_EFFECTS})
        kcoreaddons_target_static_plugins(${ARGS_NAME} NAMESPACE "kwin/effects/plugins")
    endif()
    add_test(NAME kwin-${ARGS_NAME} COMMAND dbus-run-session ${CMAKE_BINARY_DIR}/bin/${ARGS_NAME})
endfunction()
if(KWIN_BUILD_X11)
    integrationTest(NAME testDontCrashGlxgears SRCS dont_crash_glxgears.cpp LIBS KF6::I18n KDecoration3::KDecoration)
endif()
if (KWIN_BUILD_SCREENLOCKER)
    integrationTest(NAME testLockScreen SRCS lockscreen.cpp LIBS KF6::GlobalAccel)
endif()
integrationTest(NAME testBounceKeys SRCS bounce_keys_test.cpp)
integrationTest(NAME testButtonRebind SRCS buttonrebind_test.cpp)
integrationTest(NAME testDecorationInput SRCS decoration_input_test.cpp LIBS KDecoration3::KDecoration KDecoration3::KDecoration3Private)
integrationTest(NAME testInternalWindow SRCS internal_window.cpp)
integrationTest(NAME testTouchInput SRCS touch_input_test.cpp)
integrationTest(NAME testInputStackingOrder SRCS input_stacking_order.cpp)
integrationTest(NAME testPointerInput SRCS pointer_input.cpp LIBS Libdrm::Libdrm XCB::ICCCM)
integrationTest(NAME testPlatformCursor SRCS platformcursor.cpp)
integrationTest(NAME testDontCrashCancelAnimation SRCS dont_crash_cancel_animation.cpp LIBS KDecoration3::KDecoration)
integrationTest(NAME testTransientPlacement SRCS transient_placement.cpp)
integrationTest(NAME testDebugConsole SRCS debug_console_test.cpp)
integrationTest(NAME testPlasmaSurface SRCS plasma_surface_test.cpp)
integrationTest(NAME testMaximized SRCS maximize_test.cpp LIBS KDecoration3::KDecoration KF6::Package)
integrationTest(NAME testXdgShellWindow SRCS xdgshellwindow_test.cpp LIBS KDecoration3::KDecoration)
integrationTest(NAME testSceneOpenGL SRCS scene_opengl_test.cpp )
integrationTest(NAME testSceneOpenGLES SRCS scene_opengl_es_test.cpp )
integrationTest(NAME testScreenChanges SRCS screen_changes_test.cpp)
if (KWIN_BUILD_TABBOX)
    integrationTest(NAME testTabBox SRCS tabbox_test.cpp)
endif()
integrationTest(NAME testWindowSelection SRCS window_selection_test.cpp)
integrationTest(NAME testPointerConstraints SRCS pointer_constraints_test.cpp)
integrationTest(NAME testKeyboardLayout SRCS keyboard_layout_test.cpp LIBS KF6::GlobalAccel XKB::XKB)
integrationTest(NAME testKeymapCreationFailure SRCS keymap_creation_failure_test.cpp LIBS KF6::GlobalAccel)
integrationTest(NAME testShowingDesktop SRCS showing_desktop_test.cpp)
integrationTest(NAME testDontCrashUseractionsMenu SRCS dont_crash_useractions_menu.cpp LIBS KF6::I18n)
integrationTest(NAME testLayerShellV1Window SRCS layershellv1window_test.cpp)
integrationTest(NAME testVirtualDesktop SRCS virtual_desktop_test.cpp)
integrationTest(NAME testXdgShellWindowRules SRCS xdgshellwindow_rules_test.cpp)
integrationTest(NAME testIdleInhibition SRCS idle_inhibition_test.cpp)
integrationTest(NAME testDontCrashReinitializeCompositor SRCS dont_crash_reinitialize_compositor.cpp BUILTIN_EFFECTS)
integrationTest(NAME testNoGlobalShortcuts SRCS no_global_shortcuts_test.cpp LIBS KF6::GlobalAccel)
integrationTest(NAME testPlacement SRCS placement_test.cpp)
integrationTest(NAME testActivation SRCS activation_test.cpp LIBS XCB::ICCCM)
integrationTest(NAME testInputMethod SRCS inputmethod_test.cpp LIBS XKB::XKB)
integrationTest(NAME testScreens SRCS screens_test.cpp)
integrationTest(NAME testScreenEdges SRCS screenedges_test.cpp LIBS XCB::ICCCM)
integrationTest(NAME testOutputChanges SRCS outputchanges_test.cpp LIBS XCB::ICCCM Qt::Sensors)
integrationTest(NAME testTiles SRCS tiles_test.cpp LIBS XCB::ICCCM)
integrationTest(NAME testFractionalScaling SRCS fractional_scaling_test.cpp)
integrationTest(NAME testMoveResize SRCS move_resize_window_test.cpp LIBS XCB::ICCCM)
integrationTest(NAME testDontCrashAuroraeDestroyDeco SRCS dont_crash_aurorae_destroy_deco.cpp LIBS XCB::ICCCM KDecoration3::KDecoration)
integrationTest(NAME testPlasmaWindow SRCS plasmawindow_test.cpp LIBS XCB::ICCCM)
integrationTest(NAME testX11DesktopWindow SRCS desktop_window_x11_test.cpp LIBS XCB::ICCCM)
integrationTest(NAME testXwaylandInput SRCS xwayland_input_test.cpp LIBS XCB::ICCCM)
integrationTest(NAME testWindowRules SRCS window_rules_test.cpp LIBS XCB::ICCCM)
integrationTest(NAME testX11Window SRCS x11_window_test.cpp LIBS XCB::ICCCM)
integrationTest(NAME testQuickTiling SRCS quick_tiling_test.cpp LIBS XCB::ICCCM KDecoration3::KDecoration)
integrationTest(NAME testStackingOrder SRCS stacking_order_test.cpp LIBS XCB::ICCCM)
integrationTest(NAME testDbusInterface SRCS dbus_interface_test.cpp LIBS XCB::ICCCM)
integrationTest(NAME testXwaylandServerCrash SRCS xwaylandserver_crash_test.cpp LIBS XCB::ICCCM)
integrationTest(NAME testXwaylandServerRestart SRCS xwaylandserver_restart_test.cpp LIBS XCB::ICCCM)
integrationTest(NAME testFakeInput SRCS fakeinput_test.cpp)
integrationTest(NAME testSecurityContext SRCS security_context_test.cpp)
integrationTest(NAME testStickyKeys SRCS sticky_keys_test.cpp)
integrationTest(NAME testWorkspace SRCS workspace_test.cpp)
integrationTest(NAME testMouseActions SRCS mouseactions_test.cpp LIBS)
integrationTest(NAME testColorManagement SRCS test_colormanagement.cpp)
integrationTest(NAME testKeyboardInput SRCS keyboard_input_test.cpp)
integrationTest(NAME testFifo SRCS test_fifo.cpp)
integrationTest(NAME testMouseKeys SRCS mouse_keys_test.cpp)
integrationTest(NAME testXdgSession SRCS xdgsession_test.cpp)
integrationTest(NAME testDnd SRCS dnd_test.cpp)
integrationTest(NAME testFractionalRepaint SRCS fractional_repaint_test.cpp)

if(KWIN_BUILD_X11)
    integrationTest(NAME testDontCrashEmptyDeco SRCS dont_crash_empty_deco.cpp LIBS KDecoration3::KDecoration)
    integrationTest(NAME testXwaylandDnd SRCS xwayland_dnd_test.cpp LIBS XCB::ICCCM)
    integrationTest(NAME testXwaylandSelection SRCS xwayland_selection_test.cpp LIBS XCB::ICCCM)
    integrationTest(NAME testXinerama SRCS xinerama_test.cpp)
    integrationTest(NAME testX11KeyRead SRCS x11keyread.cpp LIBS XCB::XINPUT)
endif()

qt_add_dbus_interfaces(DBUS_SRCS ${CMAKE_BINARY_DIR}/src/org.kde.kwin.VirtualKeyboard.xml)
integrationTest(NAME testVirtualKeyboardDBus SRCS test_virtualkeyboard_dbus.cpp ${DBUS_SRCS})

if (KWIN_BUILD_GLOBALSHORTCUTS)
integrationTest(NAME testGlobalShortcuts SRCS globalshortcuts_test.cpp LIBS XCB::ICCCM KF6::GlobalAccel KF6::I18n XKB::XKB)
integrationTest(NAME testKWinBindings SRCS kwinbindings_test.cpp LIBS KF6::I18n)
endif()
if (TARGET K::KPipeWire)
    integrationTest(NAME testScreencasting SRCS screencasting_test.cpp LIBS K::KPipeWire)
endif()

if (KWIN_BUILD_ACTIVITIES)
    integrationTest(NAME testActivities SRCS activities_test.cpp LIBS XCB::ICCCM Plasma::Activities)
endif()

if (KWIN_BUILD_EIS)
    pkg_check_modules(PKG_libei REQUIRED IMPORTED_TARGET libei-1.0)
    integrationTest(NAME testInputCapture SRCS input_capture_test.cpp  LIBS PkgConfig::PKG_libei)
    if (PKG_libei_VERSION VERSION_GREATER_EQUAL "1.4.0")
        target_compile_definitions(testInputCapture PRIVATE -DHAVE_EI_EVENT_SYNC=1)
    else()
        target_compile_definitions(testInputCapture PRIVATE -DHAVE_EI_EVENT_SYNC=0)
    endif()
endif()


add_subdirectory(scripting)
add_subdirectory(effects)
add_subdirectory(fakes)

=== doc/kwindecoration/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kcontrol/kwindecoration)

=== tests/pip/CMakeLists.txt ===
add_executable(piptest)

target_sources(piptest PRIVATE
    main.cpp
    pipshellsurface.cpp
    pip.cpp
    window.cpp
)

qt6_generate_wayland_protocol_client_sources(piptest
    PRIVATE_CODE
    FILES
        ${PROJECT_SOURCE_DIR}/src/wayland/protocols/xx-pip-v1.xml
        ${WaylandProtocols_DATADIR}/stable/xdg-shell/xdg-shell.xml
        ${Wayland_DATADIR}/wayland.xml
)

target_link_libraries(piptest PRIVATE
    Qt::Gui
    Qt::WaylandClientPrivate
    Qt::Widgets
)

=== autotests/wayland/client/CMakeLists.txt ===
if (Qt6_VERSION VERSION_GREATER_EQUAL "6.8.0")
    set(private_code_option  "PRIVATE_CODE")
endif()
########################################################
# Test WaylandOutput
########################################################
set( testWaylandOutput_SRCS
        test_wayland_output.cpp
        ${PROJECT_SOURCE_DIR}/tests/fakeoutput.cpp
    )
add_executable(testWaylandOutput ${testWaylandOutput_SRCS})
target_link_libraries( testWaylandOutput Qt::Test Qt::Gui Plasma::KWaylandClient kwin Wayland::Client Wayland::Server)
add_test(NAME kwayland-testWaylandOutput COMMAND testWaylandOutput)
ecm_mark_as_test(testWaylandOutput)

########################################################
# Test WaylandSurface
########################################################
set( testWaylandSurface_SRCS
        test_wayland_surface.cpp
        ${PROJECT_SOURCE_DIR}/tests/fakeoutput.cpp
    )
add_executable(testWaylandSurface ${testWaylandSurface_SRCS})
target_link_libraries( testWaylandSurface Qt::Test Qt::Gui Plasma::KWaylandClient kwin Wayland::Client Wayland::Server)
add_test(NAME kwayland-testWaylandSurface COMMAND testWaylandSurface)
ecm_mark_as_test(testWaylandSurface)

########################################################
# Test WaylandSeat
########################################################
add_executable(testWaylandSeat)
set( testWaylandSeat_SRCS
        test_wayland_seat.cpp
    )
qt6_generate_wayland_protocol_client_sources(testWaylandSeat
    ${private_code_option}
    FILES
        ${WaylandProtocols_DATADIR}/unstable/pointer-gestures/pointer-gestures-unstable-v1.xml
)
target_sources(testWaylandSeat PRIVATE ${testWaylandSeat_SRCS})
target_link_libraries( testWaylandSeat Qt::Test Qt::Gui Plasma::KWaylandClient kwin Wayland::Client Wayland::Server)
add_test(NAME kwayland-testWaylandSeat COMMAND testWaylandSeat)
ecm_mark_as_test(testWaylandSeat)

########################################################
# Test ShmPool
########################################################
set( testShmPool_SRCS
        test_shm_pool.cpp
    )
add_executable(testShmPool ${testShmPool_SRCS})
target_link_libraries( testShmPool Qt::Test Qt::Gui Plasma::KWaylandClient kwin)
add_test(NAME kwayland-testShmPool COMMAND testShmPool)
ecm_mark_as_test(testShmPool)

########################################################
# Test SubSurface
########################################################
set( testSubSurface_SRCS
        test_wayland_subsurface.cpp
    )
add_executable(testSubSurface ${testSubSurface_SRCS})
target_link_libraries( testSubSurface Qt::Test Qt::Gui Plasma::KWaylandClient kwin Wayland::Client)
add_test(NAME kwayland-testSubSurface COMMAND testSubSurface)
ecm_mark_as_test(testSubSurface)

########################################################
# Test Blur
########################################################
set( testBlur_SRCS
        test_wayland_blur.cpp
    )
add_executable(testBlur ${testBlur_SRCS})
target_link_libraries( testBlur Qt::Test Qt::Gui Plasma::KWaylandClient kwin)
add_test(NAME kwayland-testBlur COMMAND testBlur)
ecm_mark_as_test(testBlur)

########################################################
# Test Contrast
########################################################
set( testContrast_SRCS
        test_wayland_contrast.cpp
    )
add_executable(testContrast ${testContrast_SRCS})
target_link_libraries( testContrast Qt::Test Qt::Gui Plasma::KWaylandClient kwin Wayland::Client)
add_test(NAME kwayland-testContrast COMMAND testContrast)
ecm_mark_as_test(testContrast)

########################################################
# Test Slide
########################################################
set( testSlide_SRCS
        test_wayland_slide.cpp
    )
add_executable(testSlide ${testSlide_SRCS})
target_link_libraries( testSlide Qt::Test Qt::Gui Plasma::KWaylandClient kwin Wayland::Client)
add_test(NAME kwayland-testSlide COMMAND testSlide)
ecm_mark_as_test(testSlide)

########################################################
# Test Window Management
########################################################
set( testWindowmanagement_SRCS
        test_wayland_windowmanagement.cpp
    )
add_executable(testWindowmanagement ${testWindowmanagement_SRCS})
target_link_libraries( testWindowmanagement Qt::Test Qt::Gui Plasma::KWaylandClient kwin Wayland::Client)
add_test(NAME kwayland-testWindowmanagement COMMAND testWindowmanagement)
ecm_mark_as_test(testWindowmanagement)

########################################################
# Test DataSource
########################################################
set( testDataSource_SRCS
        test_datasource.cpp
    )
add_executable(testDataSource ${testDataSource_SRCS})
target_link_libraries( testDataSource Qt::Test Qt::Gui Plasma::KWaylandClient kwin Wayland::Client)
add_test(NAME kwayland-testDataSource COMMAND testDataSource)
ecm_mark_as_test(testDataSource)

########################################################
# Test DataDevice
########################################################
set( testDataDevice_SRCS
        test_datadevice.cpp
    )
add_executable(testDataDevice ${testDataDevice_SRCS})
target_link_libraries( testDataDevice Qt::Test Qt::Gui Plasma::KWaylandClient kwin Wayland::Client)
add_test(NAME kwayland-testDataDevice COMMAND testDataDevice)
ecm_mark_as_test(testDataDevice)

########################################################
# Test ServerSideDecoration
########################################################
set( testServerSideDecoration_SRCS
        test_server_side_decoration.cpp
    )
add_executable(testServerSideDecoration ${testServerSideDecoration_SRCS})
qt6_generate_wayland_protocol_client_sources(testServerSideDecoration
    ${private_code_option}
    FILES
        ${PLASMA_WAYLAND_PROTOCOLS_DIR}/server-decoration.xml
)
target_link_libraries( testServerSideDecoration Qt::Test Qt::Gui Plasma::KWaylandClient kwin Wayland::Client)
add_test(NAME kwayland-testServerSideDecoration COMMAND testServerSideDecoration)
ecm_mark_as_test(testServerSideDecoration)

########################################################
# Test PlasmaShell
########################################################
set( testPlasmaShell_SRCS
        test_plasmashell.cpp
    )
add_executable(testPlasmaShell ${testPlasmaShell_SRCS})
target_link_libraries( testPlasmaShell Qt::Test Qt::Gui Plasma::KWaylandClient kwin Wayland::Client)
add_test(NAME kwayland-testPlasmaShell COMMAND testPlasmaShell)
ecm_mark_as_test(testPlasmaShell)

########################################################
# Test Shadow
########################################################
set( testShadow_SRCS
        test_shadow.cpp
    )
add_executable(testShadow ${testShadow_SRCS})
target_link_libraries( testShadow Qt::Test Qt::Gui Plasma::KWaylandClient kwin)
add_test(NAME kwayland-testShadow COMMAND testShadow)
ecm_mark_as_test(testShadow)

########################################################
# Test TextInputV2
########################################################
set( testTextInputV2_SRCS
        test_text_input_v2.cpp
    )
add_executable(testTextInputV2 ${testTextInputV2_SRCS})
target_link_libraries( testTextInputV2 Qt::Test Qt::Gui Plasma::KWaylandClient kwin)
add_test(NAME kwayland-testTextInputV2 COMMAND testTextInputV2)
ecm_mark_as_test(testTextInputV2)

########################################################
# Test Error
########################################################
set( testError_SRCS
        test_error.cpp
    )
add_executable(testError ${testError_SRCS})
target_link_libraries( testError Qt::Test Qt::Gui Plasma::KWaylandClient kwin Wayland::Client)
add_test(NAME kwayland-testError COMMAND testError)
ecm_mark_as_test(testError)

########################################################
# Test Selection
########################################################
set( testSelection_SRCS
        test_selection.cpp
    )
add_executable(testSelection ${testSelection_SRCS})
target_link_libraries( testSelection Qt::Test Qt::Gui Plasma::KWaylandClient kwin Wayland::Client)
add_test(NAME kwayland-testSelection COMMAND testSelection)
ecm_mark_as_test(testSelection)

########################################################
# Test XdgForeign
########################################################
set( testXdgForeign_SRCS
      test_xdg_foreign.cpp
      )
add_executable(testXdgForeign ${testXdgForeign_SRCS})
target_link_libraries( testXdgForeign Qt::Test Qt::Gui kwin Plasma::KWaylandClient Wayland::Client)
add_test(NAME kwayland-testXdgForeign COMMAND testXdgForeign)
ecm_mark_as_test(testXdgForeign)

########################################################
# Test XdgShell
########################################################
set(testXdgShell_SRCS
    test_xdg_shell.cpp
    ${PROJECT_SOURCE_DIR}/tests/fakeoutput.cpp
)
add_executable(testXdgShell ${testXdgShell_SRCS})
target_link_libraries( testXdgShell Qt::Test Qt::Gui kwin Plasma::KWaylandClient Wayland::Client)
add_test(NAME kwayland-testXdgShell COMMAND testXdgShell)
ecm_mark_as_test(testXdgShell)

########################################################
# Test Pointer Constraints
########################################################
add_executable(testPointerConstraintsInterface test_pointer_constraints.cpp)
target_link_libraries( testPointerConstraintsInterface Qt::Test Qt::Gui kwin Plasma::KWaylandClient Wayland::Client)
add_test(NAME kwayland-testPointerConstraintsInterface COMMAND testPointerConstraintsInterface)
ecm_mark_as_test(testPointerConstraintsInterface)


########################################################
# Test Filter
########################################################
set( testFilter_SRCS
        test_wayland_filter.cpp
    )
add_executable(testFilter ${testFilter_SRCS})
target_link_libraries( testFilter Qt::Test Qt::Gui Plasma::KWaylandClient kwin Wayland::Server)
add_test(NAME kwayland-testFilter COMMAND testFilter)
ecm_mark_as_test(testFilter)

########################################################
# Test Appmenu
########################################################
set( testAppmenu_SRCS
        test_wayland_appmenu.cpp
    )
add_executable(testAppmenu ${testAppmenu_SRCS})
target_link_libraries( testAppmenu Qt::Test Qt::Gui Plasma::KWaylandClient kwin)
add_test(NAME kwayland-testAppmenu COMMAND testAppmenu)
ecm_mark_as_test(testAppmenu)

########################################################
# Test Appmenu
########################################################
set( testServerSideDecorationPalette_SRCS
        test_server_side_decoration_palette.cpp
    )
add_executable(testServerSideDecorationPalette ${testServerSideDecorationPalette_SRCS})
qt6_generate_wayland_protocol_client_sources(testServerSideDecorationPalette
    ${private_code_option}
    FILES
        ${PLASMA_WAYLAND_PROTOCOLS_DIR}/server-decoration-palette.xml
)
target_link_libraries( testServerSideDecorationPalette Qt::Test Qt::Gui Plasma::KWaylandClient Wayland::Client kwin)
add_test(NAME kwayland-testServerSideDecorationPalette COMMAND testServerSideDecorationPalette)
ecm_mark_as_test(testServerSideDecorationPalette)

########################################################
# Test VirtualDesktop
########################################################
set( testPlasmaVirtualDesktop_SRCS
        test_plasma_virtual_desktop.cpp
    )
add_executable(testPlasmaVirtualDesktop ${testPlasmaVirtualDesktop_SRCS})
target_link_libraries( testPlasmaVirtualDesktop Qt::Test Qt::Gui Plasma::KWaylandClient kwin)
add_test(NAME kwayland-testPlasmaVirtualDesktop COMMAND testPlasmaVirtualDesktop)
ecm_mark_as_test(testPlasmaVirtualDesktop)

########################################################
# Test Activities
########################################################
set( testPlasmaActivities_SRCS
        test_plasma_activities.cpp
    )
add_executable(testPlasmaActivities ${testPlasmaActivities_SRCS})
target_link_libraries( testPlasmaActivities Qt::Test Qt::Gui Plasma::KWaylandClient kwin)

=== src/kcms/animations/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_animations\")

set(kcm_animations_PART_SRCS
    kcm.cpp
    animationsdata.cpp
    effectssubsetmodel.cpp
)

kcmutils_add_qml_kcm(kcm_animations SOURCES ${kcm_animations_PART_SRCS})

kconfig_add_kcfg_files(kcm_animations animationskdeglobalssettings.kcfgc GENERATE_MOC)

target_link_libraries(kcm_animations PRIVATE
    Qt::DBus
    Qt::Quick
    KF6::ConfigGui
    KF6::KCMUtils
    KF6::I18n
    KF6::KCMUtilsQuick
    KF6::Service
    kcmkwincommon
)

=== src/plugins/blendchanges/CMakeLists.txt ===
#######################################
# Effect

set(blendchanges_SOURCES
    main.cpp
    blendchanges.cpp
)

kwin_add_builtin_effect(blendchanges ${blendchanges_SOURCES})
target_link_libraries(blendchanges PRIVATE
    kwin
    Qt::DBus
)

=== src/plugins/eis/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 David Redondo <kde@david-redono.de>
# SPDX-License-Identifier: BSD-3-Clause

kcoreaddons_add_plugin(eis INSTALL_NAMESPACE "kwin/plugins")

ecm_qt_declare_logging_category(eis
    HEADER libeis_logging.h
    IDENTIFIER KWIN_EIS
    CATEGORY_NAME kwin_libeis
    DEFAULT_SEVERITY Warning
)

ecm_qt_declare_logging_category(eis
    HEADER inputcapture_logging.h
    IDENTIFIER KWIN_INPUTCAPTURE
    CATEGORY_NAME kwin_inputcapture
    DEFAULT_SEVERITY Warning
)

target_sources(eis PRIVATE
    main.cpp
    eisdevice.cpp
    eisbackend.cpp
    eiscontext.cpp
    eisplugin.cpp
    eisinputcapture.cpp
    eisinputcapturemanager.cpp
    eisinputcapturefilter.cpp
)

target_link_libraries(eis PRIVATE kwin KF6::I18n KF6::GlobalAccel KF6::ConfigGui Libeis::Libeis XKB::XKB)

if (Libeis_VERSION VERSION_GREATER_EQUAL "1.4")
    set(EIS_HAVE_TOUCH_CANCEL 1)
endif()
configure_file(config-eis.h.in config-eis.h)

=== src/plugins/minimizeall/CMakeLists.txt ===
kwin_add_script(minimizeall package)

=== src/plugins/windowsystem/CMakeLists.txt ===
set(kwindowsystem_plugin_SRCS
    plugin.cpp
    windoweffects.cpp
    windowshadow.cpp
    windowsystem.cpp
)

add_library(KF6WindowSystemKWinPlugin OBJECT ${kwindowsystem_plugin_SRCS})
target_compile_definitions(KF6WindowSystemKWinPlugin PRIVATE QT_STATICPLUGIN)
target_link_libraries(KF6WindowSystemKWinPlugin kwin)

=== src/kcms/decoration/declarative-plugin/CMakeLists.txt ===
ecm_add_qml_module(kdecorationprivatedeclarative URI org.kde.kwin.private.kdecoration DEPENDENCIES QtCore QtQuick GENERATE_PLUGIN_SOURCE)

target_sources(kdecorationprivatedeclarative PRIVATE
    previewbutton.cpp
    previewbridge.cpp
    previewclient.cpp
    previewitem.cpp
    previewsettings.cpp
    buttonsmodel.cpp
    ../../../decorations/decorationpalette.cpp
    ../../../decorations/decorations_logging.cpp
    types.h
)

target_link_libraries(kdecorationprivatedeclarative PRIVATE
    KDecoration3::KDecoration
    KDecoration3::KDecoration3Private
    Qt::DBus
    Qt::Quick
    KF6::CoreAddons
    KF6::KCMUtils
    KF6::I18n
    KF6::Service
    KF6::ColorScheme
)

ecm_finalize_qml_module(kdecorationprivatedeclarative)

=== debian/changelog ===
kwin (4:6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commits now part of the upstream release.
  * Make hwdata a runtime dependency as expected by upstream.
  * Make kwin-wayland depend on kwin-common.
  * Cleanup build-dependencies after the split of kwin-x11 into it’s own
    source package.
  * Drop the kwin-x11 binary package, it’s now shipped from it’s own
    separate source package.
  * Update the list of installed files.
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 06 Oct 2025 22:26:56 +0200

=== debian/control ===
Source: kwin
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               breeze-dev (>= 4:6.4.91~),
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               knighttime-dev (>= 6.4.91~),
               kscreenlocker-dev (>= 6.4.91~),
               kwayland-dev (>= 4:6.4.91~),
               libcanberra-dev,
               libcap-dev [linux-any],
               libcap2-bin [linux-any],
               libdisplay-info-dev,
               libdrm-dev (>= 2.4.118~),
               libegl-dev (>= 1.2~),
               libeis-dev,
               libepoxy-dev (>= 1.3),
               libfontconfig-dev,
               libfreetype-dev,
               libgbm-dev,
               libinput-dev (>= 1.26~),
               libkdecorations3-dev (>= 4:6.4.91~),
               libkf6auth-dev (>= 6.18.0~),
               libkf6colorscheme-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6declarative-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6idletime-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6newstuff-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6package-dev (>= 6.18.0~),
               libkf6runner-dev,
               libkf6service-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkglobalacceld-dev (>= 6.4.91~),
               libkirigami-dev (>= 6.18.0~),
               liblcms2-dev,
               libpipewire-0.3-dev (>= 0.3.29),
               libplasma-dev (>= 6.4.91~),
               libplasmaactivities-dev (>= 6.4.91~),
               libqaccessibilityclient-qt6-dev,
               libsystemd-dev [linux-any],
               libudev-dev [linux-any],
               libwayland-dev (>= 1.24~),
               libx11-dev,
               libx11-xcb-dev,
               libxcb-composite0-dev (>= 1.10~),
               libxcb-cursor-dev,
               libxcb-damage0-dev (>= 1.10~),
               libxcb-dri3-dev (>= 1.10~),
               libxcb-glx0-dev (>= 1.10~),
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-present-dev (>= 1.10~),
               libxcb-randr0-dev (>= 1.10~),
               libxcb-render0-dev (>= 1.10~),
               libxcb-res0-dev (>= 1.10~),
               libxcb-shape0-dev (>= 1.10~),
               libxcb-shm0-dev (>= 1.10~),
               libxcb-sync-dev (>= 1.10~),
               libxcb-util-dev,
               libxcb-xfixes0-dev (>= 1.10~),
               libxcb-xinerama0-dev (>= 1.10~),
               libxcb-xinput-dev (>= 1.10~),
               libxcb-xkb-dev (>= 1.10~),
               libxcb-xtest0-dev,
               libxcb1-dev (>= 1.10~),
               libxcursor-dev,
               libxcvt-dev (>= 0.1.1~),
               libxi-dev,
               libxkbcommon-dev (>= 0.7.0~),
               libxkbcommon-x11-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.19.0~),
               qt6-5compat-dev (>= 6.9.0~),
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev,
               qt6-sensors-dev (>= 6.9.0~),
               qt6-svg-dev (>= 6.9.0~),
               qt6-tools-dev (>= 6.9.0~),
               qt6-wayland-dev (>= 6.9.0~),
               qt6-wayland-dev-tools,
               wayland-protocols (>= 1.45~),
               xwayland (>= 2:23.1.0~),
Standards-Version: 4.7.2
Homepage: https://projects.kde.org/projects/kde/workspace/kwin
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwin
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwin.git
Rules-Requires-Root: no

Package: kwin-common
Architecture: any
Depends: kglobalacceld,
         kwin-data (= ${source:Version}),
         plasma-desktoptheme,
         pnp.ids,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-ksvg,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtquick,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: plasma-desktop (>= 4:6.2.90~),
Suggests: kwin-addons (>= 4:6.2.90~),
Breaks: kwin-data (<< 4:6.1.4-1),
Replaces: kwin-data (<< 4:6.1.4-1),
Description: KDE window manager, common files
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package is part of the KDE base workspace module.

Package: kwin-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Recommends: plasma-desktoptheme,
            qml6-module-org-kde-kirigami,
            qml6-module-org-kde-kitemmodels,
            qml6-module-org-kde-kquickcontrolsaddons,
            qml6-module-org-kde-ksvg,
            qml6-module-org-kde-quickcharts,
            qml6-module-qt5compat-graphicaleffects,
            qml6-module-qtmultimedia,
            qml6-module-qtquick,
            qml6-module-qtquick-controls,
            qml6-module-qtquick-layouts,
            qml6-module-qtquick-window,
            systemsettings,
Breaks: kwin-addons (<< 4:6.0.0~),
Replaces: kwin-addons (<< 4:6.0.0~),
Description: KDE window manager data files
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package contains the data files

Package: kwin-dev
Section: libdevel
Architecture: any
Depends: kwin-common (= ${binary:Version}),
         libepoxy-dev (>= 1.3),
         libkf6config-dev (>= 6.18.0~),
         libkf6coreaddons-dev (>= 6.18.0~),
         libkf6windowsystem-dev (>= 6.18.0~),
         libkwin6 (= ${binary:Version}),
         qt6-base-dev (>= 6.9.0~),
         qt6-declarative-dev (>= 6.9.0~),
         ${misc:Depends},
Description: KDE window manager - devel files
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package is part of the KDE base workspace module.

Package: kwin-wayland
Architecture: any
Depends: hwdata,
         kwin-common (= ${binary:Version}),
         libcap2-bin [linux-any],
         xwayland (>= 2:23.1.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: xwaylandvideobridge,
Provides: kwin,
Description: KDE window manager, Wayland version
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package provides the wayland compositor.

Package: libkwin6
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: KDE window manager library
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package is part of the KDE base workspace module.
